% This is a helper script to initialize the bus objects used in the Track 
% Vehicles Using Lidar Data in Simulink Example. It may be removed or
% modified in a future release.

% Copyright 2019 The MathWorks, Inc.

% If detectionBus does not exist in workspace
if ~exist('detectionBus','var')
    % Sample detection
    sampleDetection = struct('SensorIndex',1,'Time',0,'Measurement',zeros(7,1),'MeasurementNoise',eye(7),'ObjectClassID',0,...
    'MeasurementParameters',struct('OriginPosition',zeros(3,1)),...
    'ObjectAttributes',struct('TargetIndex',1));
    % Array of detections
    detections = repmat(sampleDetection,[100 1]);
    % Bus structure
    busFormat = struct('NumDetections',0,'Detections',detections);
    % Create Simulink.Bus
    detBus = Simulink.Bus.createObject(busFormat);
    % Assign it to the desired bus name
    detectionBus = eval(detBus.busName);
    % Clear the original created bus
    clear(detBus.busName);
end

% Follow same steps as detectionBus for segmentationBus
if ~exist('segmentationBus','var')
    % Bus structure
    sampleSeg = struct('ObstacleIndices',false(55000,1),'GroundIndices',false(55000,1),'CroppedIndices',false(55000,1));
    segBus = Simulink.Bus.createObject(sampleSeg);
    
    % Clear original bus and create desired bus name
    segmentationBus = eval(segBus.busName);
    clear(segBus.busName);
end

